# Method: accounts.adclients.adunits.list

- [HTTP request](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/list#body.request_body)
- [Response body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/list#body.response_body)
  - [JSON representation](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/list#body.ListAdUnitsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/list#body.aspect)
- [Try it!](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/list#try-it)

Lists all ad units under a specified account and ad client.

### HTTP request

`GET https://adsense.googleapis.com/v2/{parent=accounts/*/adclients/*}/adunits`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The ad client which owns the collection of ad units. Format: accounts/{account}/adclients/{adclient} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of ad units to include in the response, used for paging. If unspecified, at most 10000 ad units will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000. |
| `pageToken` | `string` A page token, received from a previous `adunits.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `adunits.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response definition for the adunit list rpc.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "adUnits": [ { object (`https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits#AdUnit`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `adUnits[]` | ``object (`https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits#AdUnit`)`` The ad units returned in the list response. |
| `nextPageToken` | `string` Continuation token used to page through ad units. To retrieve the next page of the results, set the next request's "pageToken" value to this. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/adsense`
- `
  https://www.googleapis.com/auth/adsense.readonly`